Uploaded image for project: 'Moodle'
  1. Moodle
  2. MDL-49081

No need to have dev option for composer.

    XMLWordPrintable

    Details

    • Testing Instructions:
      Hide
      1. Drop behat site
      2. Delete vendor folder
      3. Install behat site and make sure it is installed without any problem.
      4. Ensure you don't see "You are using the deprecated option "dev". Dev packages are installed by default now."
      Show
      Drop behat site Delete vendor folder Install behat site and make sure it is installed without any problem. Ensure you don't see "You are using the deprecated option "dev". Dev packages are installed by default now."
    • Difficulty:
      Easy
    • Affected Branches:
      MOODLE_27_STABLE, MOODLE_28_STABLE
    • Fixed Branches:
      MOODLE_27_STABLE, MOODLE_28_STABLE
    • Pull Master Branch:
      wip-mdl-49081

      Description

      Dev option is by default enabled on composer, no need to add it anymore.
      https://github.com/composer/composer/blob/master/CHANGELOG.md

        Attachments

          Activity

            People

            Assignee:
            rajeshtaneja Rajesh Taneja
            Reporter:
            rajeshtaneja Rajesh Taneja
            Peer reviewer:
            David Monllaó
            Integrator:
            Dan Poltawski
            Tester:
            Damyon Wiese
            Participants:
            Component watchers:
            Andrew Nicols, Jun Pataleta, Michael Hawkins, Shamim Rezaie, Simey Lameze, Andrew Nicols, Jun Pataleta, Michael Hawkins, Shamim Rezaie, Simey Lameze
            Votes:
            0 Vote for this issue
            Watchers:
            3 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved:
              Fix Release Date:
              9/Mar/15